InsetsUIResource (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: InsetsUIResource
Keywords: javax.swing.plaf.InsetsUIResource class

# Class InsetsUIResource

java.lang.Object
java.awt.Insets
javax.swing.plaf.InsetsUIResource

All Implemented Interfaces:
  `Serializable, Cloneable, UIResource`

public class InsetsUIResource extends Insets implements UIResource
A subclass of Insets that implements UIResource. UI classes that use Insets values for default properties should use this class.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `UIResource`

- ## Field Summary

  ### Fields declared in class Insets

  `bottom, left, right, top`
  Modifier and Type
  Field
  Description
  `int`
  `bottom`
  The inset from the bottom.
  `int`
  `left`
  The inset from the left.
  `int`
  `right`
  The inset from the right.
  `int`
  `top`
  The inset from the top.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsetsUIResource(int top, int left, int bottom, int right)`
  Constructs an `InsetsUIResource`.

- ## Method Summary

  ### Methods declared in class Insets

  `clone, equals, hashCode, set, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Create a copy of this object.
  `boolean`
  `equals(Object obj)`
  Checks whether two insets objects are equal.
  `int`
  `hashCode()`
  Returns the hash code for this Insets.
  `void`
  `set(int top, int left, int bottom, int right)`
  Set top, left, bottom, and right to the specified values
  `String`
  `toString()`
  Returns a string representation of this `Insets` object.

  ### Methods declared in class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### InsetsUIResource

    public InsetsUIResource(int top, int left, int bottom, int right)
    Constructs an `InsetsUIResource`.
    Parameters:
      `top` - the inset from the top
      `left` - the inset from the left
      `bottom` - the inset from the bottom
      `right` - the inset from the right